/**
 * Defines the operators that you can use to compare a property value to a filter value.
 */
export declare enum FilterOperator {
    /**
     * Less than filter operator.
     */
    LESS_THAN = 0,
    /**
     * Less than or equal filter operator.
     */
    LESS_THAN_OR_EQUAL = 1,
    /**
     * Equal filter operator.
     */
    EQUAL = 2,
    /**
     * Not equal filter operator.
     */
    NOT_EQUAL = 3,
    /**
     * Greater than or equal filter operator.
     */
    GREATER_THAN_OR_EQUAL = 4,
    /**
     * Greater than filter operator.
     */
    GREATER_THAN = 5,
    /**
     * Start with filter operator.
     */
    START_WITH = 6,
    /**
     * End with filter operator.
     */
    END_WITH = 7,
    /**
     * Contains filter operator.
     */
    CONTAINS = 8,
    /**
     * In filter operator.
     */
    IN = 9,
    /**
     * Not in filter operator.
     */
    NOT_IN = 10,
    /**
     * Between filter operator.
     */
    BETWEEN = 11,
    /**
     * field & value > 0
     */
    BITWISE_ANY = 12,
    /**
     * field & value = 0
     */
    BITWISE_ZERO = 13,
    /**
     * field & value = value
     */
    BITWISE_ALL = 14
}
