import { BaseSortDescriptor } from "./BaseSortDescriptor";
import { FilterOptions } from "./FilterOptions";
import { SortOptions } from "./SortOptions";
import { FilterGroupOptions } from "./FilterGroupOptions";
import { BaseFilterGroup } from "./BaseFilterGroup";
import { SortDirection } from "../enums/SortDirection";
export declare class DynamicQuery<T> extends BaseFilterGroup<T> {
    type: new () => T;
    private sorts;
    private selectedProperties;
    constructor();
    static createQuery<T>(type: new () => T): DynamicQuery<T>;
    addFilterDescriptor(option: FilterOptions<T>): this;
    addFilterGroupDescriptor(option: FilterGroupOptions<T>): this;
    addSort(sort: BaseSortDescriptor): this;
    addSorts(sorts: BaseSortDescriptor[]): this;
    addSortDescriptor(sortOption: SortOptions<T>): this;
    selectProperty(property: keyof T): this;
    selectProperties(...properties: (keyof T)[]): this;
    orderBy(propertyPath: keyof T, direction?: SortDirection): this;
    getSorts(): BaseSortDescriptor[];
    getSelectedProperties(): string[];
    query(datas: T[]): T[];
    toJSON(): string;
    fromJSON(json: string): DynamicQuery<T>;
}
