import { BaseFilterDescriptor } from "./BaseFilterDescriptor";
import { FilterOperator } from "../enums/FilterOperator";
import { FilterOptions } from "./FilterOptions";
import { FilterCondition } from "../enums/FilterCondition";
import { ComparableType } from "./ComparableType";
/**
 * Initializes a new instance of the FilterDescriptor class.
 */
export declare class FilterDescriptor<T> implements BaseFilterDescriptor<T> {
    condition: FilterCondition;
    readonly type: string;
    operator: FilterOperator;
    propertyPath: string;
    ignoreCase: boolean;
    value: ComparableType;
    constructor(options?: FilterOptions<T>);
    getCondition(): FilterCondition;
    /**
     * Serialize current FilterDescriptor to json string.
     */
    toJSON(): string;
    /**
     * Deserialize json string to instance of FilterDescriptor.
     * @param json
     */
    fromJSON(json: string): FilterDescriptor<T>;
}
