"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ts_commons_1 = require("ts-commons");
var FilterHelper_1 = require("../helpers/FilterHelper");
var SortHelper_1 = require("../helpers/SortHelper");
var QueryProvider = /** @class */ (function () {
    function QueryProvider() {
    }
    QueryProvider.query = function (datas, query) {
        var _this = this;
        if (ts_commons_1.ArrayUtils.isEmpty(datas)) {
            return [];
        }
        var cloneDatas = datas.slice(0);
        if (ts_commons_1.ObjectUtils.isNullOrUndefined(query)) {
            return cloneDatas;
        }
        if (ts_commons_1.ArrayUtils.isNotEmpty(query.getFilters())) {
            cloneDatas = cloneDatas.filter(function (x) {
                return FilterHelper_1.FilterHelper.predicateByFilters(x, query.getFilters());
            });
        }
        if (ts_commons_1.ArrayUtils.isNotEmpty(query.getSorts())) {
            cloneDatas = cloneDatas.sort(function (obj1, obj2) {
                return SortHelper_1.SortHelper.predicateBySorts(obj1, obj2, query.getSorts());
            });
        }
        if (ts_commons_1.ArrayUtils.isNotEmpty(query.getSelectedProperties())) {
            cloneDatas = cloneDatas.map(function (x) {
                return _this.pick(query.type, x, query.getSelectedProperties());
            });
        }
        return cloneDatas;
    };
    QueryProvider.pick = function (type, data, selectedProperties) {
        var newObj = ts_commons_1.ObjectUtils.createObject(type);
        for (var key in data) {
            if (selectedProperties.indexOf(key) >= 0) {
                newObj[key] = data[key];
            }
        }
        return newObj;
    };
    return QueryProvider;
}());
exports.QueryProvider = QueryProvider;
//# sourceMappingURL=QueryProvider.js.map